콘텐츠로 건너뛰기

Pika Text to Video (v2.2)

통합

모델 id pika/v2.2/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/pika/v2.2/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청: $0.20 200 API 크레딧 · ≈ ₽21.52 이 페이지에서 실행

API 키 받기
Pika 텍스트를 동영상으로 5–10 s최대 1080p #editing#effects#animation

5초 또는 10초 클립, 7개의 화면 비율과 720p 또는 1080p를 지원하는 버전 2.2 텍스트-비디오

Pika · 동영상

첫 번째 결과가 여기에 표시됩니다

아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

•필수
duration 5 s

초 단위로 측정한 출력 동영상 길이입니다.

aspect_ratio 기본값 16:9

출력 동영상의 가로세로 비율입니다.

resolution 기본값 720p

출력 동영상의 해상도입니다.

고급 negative_prompt · seed · enable_safety_checker
기본값 ugly, bad, terrible

모델 안내에 사용되는 네거티브 프롬프트입니다.

난수 생성기에서 사용하는 시드 값입니다.

POST /run/pika/v2.2/text-to-video?wait=20 견적 → $0.20
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/pika/v2.2/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

Pika Text to Video (v2.2) 정보

텍스트 `prompt`에서 비디오를 생성합니다. 재생 시간은 5초 또는 10초, 해상도는 720p 또는 1080p이며 `aspect_ratio`는 16:9, 9:16, 1:1, 4:5, 5:4, 3:2 또는 2:3 중 하나입니다. 기본 `negative_prompt`는 일반적인 품질 용어의 짧은 목록이며 `seed`를 제공할 수 있습니다.

매개변수

이름유형 기본값허용됨 설명
prompt필수
유형string
seed선택 사항
유형integer | null
난수 생성기에서 사용하는 시드 값입니다.
negative_prompt선택 사항
유형string
기본값ugly, bad, terrible
모델 안내에 사용되는 네거티브 프롬프트입니다.
aspect_ratio선택 사항
유형enum
기본값16:9
16:99:161:14:55:43:22:3
출력 동영상의 가로세로 비율입니다.
resolution선택 사항
유형enum
기본값720p
1080p720p
출력 동영상의 해상도입니다.
duration선택 사항
유형enum
기본값5
510
초 단위로 측정한 출력 동영상 길이입니다.
enable_safety_checker선택 사항
유형boolean
기본값true
호출자에게 권한이 있으면 false로 설정해 검사를 완화할 수 있습니다.
필수

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "pika/v2.2/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 200,
    "usd": "0.20",
    "charged": 200,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
video
object {url, content_type, file_name, file_size}모델이 생성한 동영상입니다.

더 많은 모델: 텍스트를 동영상으로

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/pika/v2.2/text-to-video.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt